## CSP_SNAPSHOT_20160819-1.linux-gnu.tar.xz

=== source/src/qt/avio/CMakeLists.txt ===
message("* qt/avio")

set(s_qt_avio_headers
	  movie_saver.h
	  movie_loader.h
)

set(s_qt_avio_srcs
	  movie_loader.cpp
	  movie_saver.cpp
	  movie_saver_audio.cpp
	  movie_saver_video.cpp
	  movie_saver_fileio.cpp
)

if(USE_QT_5)
  QT5_WRAP_CPP(s_qt_avio_headers_MOC ${s_qt_avio_headers})
else()
  QT4_WRAP_CPP(s_qt_avio_headers_MOC ${s_qt_avio_headers})
endif()

if(WIN32)
#include (GenerateExportHeader)
add_library(qt_avio
	  ${s_qt_avio_srcs}
	  ${s_qt_avio_headers_MOC}
)
#
#add_library(CSPavio SHARED
#	  ${s_qt_avio_srcs}
#	  ${s_qt_avio_headers_MOC}
#)

#target_link_libraries(CSPavio PUBLIC
#		   ${LIBAV_LIBRARIES}
#		   ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPavio/build-win32/qt/avio/CSPavio.dll
#		   Qt5::Core
#		   Qt5::Gui
#		   Qt5::Widgets
#	  )
#QT5_USE_MODULES(CSPavio Widgets Core Gui OpenGL)
#
#generate_export_header(CSPavio
#       BASE_NAME CSPavio
#        EXPORT_MACRO_NAME CSPavio_EXPORT
#        EXPORT_FILE_NAME CSPavio_Export.h
#        STATIC_DEFINE CSPavio_BUILT_AS_STATIC
#)

else()
add_library(CSPavio SHARED
	  ${s_qt_avio_srcs}
	  ${s_qt_avio_headers_MOC}
	  )
#set(LIBAV_STATIC_PREFIX /usr/local/ffmpeg-2.8.7/lib)
target_link_libraries(CSPavio PUBLIC
		   ${LIBAV_LIBRARIES}
		   Qt5::Core
		   Qt5::Gui
		   Qt5::Widgets
	  )

set_target_properties(CSPavio PROPERTIES 
			     SOVERSION 2.3.1
			     VERSION 2.3.1
			     )
INSTALL(TARGETS CSPavio DESTINATION ${LIBCSP_INSTALL_DIR})
endif()

=== source/src/qt/common/CMakeLists.txt ===
message("* qt/common")

set(s_qt_common_headers
	  emu_thread.h
	  mainwidget.h
	  ../osd.h
)

if(USE_QT_5)
  QT5_WRAP_CPP(s_qt_common_headers_MOC ${s_qt_common_headers})
else()
  QT4_WRAP_CPP(s_qt_common_headers_MOC ${s_qt_common_headers})
endif()

set(QT_COMMON_BASE  
	  qt_utils.cpp
	  menu_flags.cpp
	  emu_thread.cpp
	  util_fd2.cpp
	  util_bubble2.cpp
	  util_main.cpp
	  ../osd.cpp
	  ../osd_wrapper.cpp
)

if(USE_QT_5)
  QT5_ADD_RESOURCES(s_qt_common_RCC ${RESOURCE}
#                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/commontexts.qrc
#                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/shaders.qrc
                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/icons.qrc)
else()
  QT4_ADD_RESOURCES(s_qt_common_RCC ${RESOURCE} 
#                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/commontexts.qrc
#                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/shaders.qrc
                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/icons.qrc)
endif()

add_executable(${EXEC_TARGET}
	  ${QT_COMMON_BASE}
	  ${s_qt_common_headers_MOC}
	  ${s_qt_common_RCC}
)
if(USE_QT_5)
  if(USE_SOCKET)
    QT5_USE_MODULES(${EXEC_TARGET} Widgets Core Gui OpenGL Network)
  else()
    QT5_USE_MODULES(${EXEC_TARGET} Widgets Core Gui OpenGL)
  endif()
endif()
if(WIN32)
 target_link_libraries(${EXEC_TARGET} 
 ${LOCAL_LIBS}
 ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPemu_utils/build-win32/qt/emuutils/libemu_utils.a
 ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPosd/build-win32/qt/osd/libqt_osd.a
 ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPgui/build-win32/qt/gui/libqt_gui.a
 ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPavio/build-win32/qt/avio/libqt_avio.a
 ${BUNDLE_LIBS} 
 ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPgui/build-win32/qt/gui/libqt_gui.a
 Qt5::OpenGL
 )
else()
 target_link_libraries(${EXEC_TARGET} ${LOCAL_LIBS} ${BUNDLE_LIBS})
endif()
install(TARGETS ${EXEC_TARGET} DESTINATION bin)

=== source/src/qt/gui/CMakeLists.txt ===
message("* qt/gui")

set(s_qt_gui_headers
	  qt_dialogs.h
	  qt_gldraw.h
	  qt_glutil_gl2_0.h
	  qt_glutil_gl3_0.h
	  
	  commonclasses.h
	  sound_dialog.h
	  mainwidget_base.h
	  menu_metaclass.h
	  menu_disk.h
	  menu_cmt.h
	  menu_cart.h
	  menu_quickdisk.h
	  menu_compactdisc.h
	  menu_laserdisc.h
	  menu_binary.h
	  menu_bubble.h
	  display_about.h
	  display_text_document.h
	  dropdown_keyset.h
	  dropdown_joystick.h
	  dropdown_jsbutton.h
	  dropdown_jspage.h
	  dialog_set_key.h
	  dialog_set_key_combo.h
	  dialog_movie.h

	  tab_movie_general.h
	  tab_movie_h264.h
	  tab_movie_mpeg4.h
	  
	  draw_thread.h
	  joy_thread.h
)

set(s_qt_gui_srcs
	  emuevents_control.cpp
	  qt_gldraw.cpp
	  qt_glutil.cpp
	  qt_glutil_gl2_0.cpp
	  qt_glutil_gl3_0.cpp
	  qt_glevents.cpp
	  qt_dialogs.cpp

          qt_input.cpp
	  menu_control.cpp
	  menu_metaclass.cpp
	  menu_disk.cpp
	  menu_quickdisk.cpp
	  menu_compactdisc.cpp
	  menu_laserdisc.cpp
	  menu_cmt.cpp
	  menu_cart.cpp
	  menu_main.cpp
	  menu_sound.cpp
	  menu_binary.cpp
	  menu_bubble.cpp
	  menu_screen.cpp
	  mainwindow_utils.cpp
	  util_fd.cpp
	  util_cd.cpp
	  util_ld.cpp
	  util_cmt.cpp
	  util_qd.cpp
	  util_cart.cpp
	  util_binary.cpp
	  util_bubble.cpp
	  display_statusbar.cpp
	  display_about.cpp
	  display_text_document.cpp
	  sound_dialog.cpp
	  dropdown_keyset.cpp
	  dropdown_joystick.cpp
	  dropdown_jsbutton.cpp
	  dropdown_jspage.cpp
	  dialog_set_key.cpp
	  dialog_set_key_combo.cpp
	  dialog_movie.cpp
	  
	  tab_movie_general.cpp
	  tab_movie_h264.cpp
	  tab_movie_mpeg4.cpp
	  
	  draw_thread.cpp
	  joy_thread.cpp
	  agar_logger.cpp
	  
	  qt_main.cpp
)

if(USE_QT_5)
  QT5_WRAP_CPP(s_qt_gui_headers_MOC ${s_qt_gui_headers})
  QT5_ADD_RESOURCES(s_qt_gui_RCC ${RESOURCE}
                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/commontexts.qrc
                    ${CMAKE_SOURCE_DIR}/../../src/qt/common/qrc/shaders.qrc
		    )
else()
  QT4_WRAP_CPP(s_qt_gui_headers_MOC ${s_qt_gui_headers})
endif()

if(WIN32)
add_library(qt_gui
	  ${s_qt_gui_srcs}
	  ${s_qt_gui_headers_MOC}
	  ${s_qt_gui_RCC}
)
#include (GenerateExportHeader)
#add_library(CSPgui SHARED
#	  ${s_qt_gui_srcs}
##	  ${s_qt_gui_headers_MOC}
#	  )
#target_link_libraries(CSPgui PUBLIC
#	   ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPemu_utils/build-win32/qt/emuutils/libemu_utils.a
#	   ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPavio/build-win32/qt/avio/libqt_avio.a
#	   ${CMAKE_SOURCE_DIR}/../../build-cmake/libCSPosd/build-win32/qt/osd/libqt_osd.a
#	  Qt5::Core
#	  Qt5::Gui
#	  Qt5::OpenGL
#	  Qt5::Widgets
#	  ${SDL2_LIBRARIES}
#	  )
#QT5_USE_MODULES(CSPgui Widgets Core Gui OpenGL)
#generate_export_header(CSPgui
#       BASE_NAME CSPgui
#        EXPORT_MACRO_NAME CSPgui_EXPORT
#        EXPORT_FILE_NAME CSPgui_Export.h
#        STATIC_DEFINE CSPgui_BUILT_AS_STATIC
#)

else()
add_library(CSPgui SHARED
	  ${s_qt_gui_srcs}
	  ${s_qt_gui_headers_MOC}
	  ${s_qt_gui_RCC}
)
target_link_libraries(CSPgui PUBLIC
	  Qt5::Core
	  Qt5::Gui
	  Qt5::OpenGL
	  Qt5::Widgets
	  ${SDL2_LIBRARIES}
	  )

set_target_properties(CSPgui PROPERTIES 
			     SOVERSION 2.0.3
			     VERSION 2.0.3
			     )
INSTALL(TARGETS CSPgui DESTINATION ${LIBCSP_INSTALL_DIR})
endif()

=== doc/libx264-148/debian/control ===
Source: x264-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://www.videolan.org/developers/x264.html
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), libffms2-dev (>= 2.21), ccache, help2man,
 liblsmash-dev (>= 2.3.0~), yasm (>= 1.2.0) [any-amd64 any-i386],
 libswscale-dev (>= 8:1.0.1~)

Package: x264
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: x264-bin
Replaces: x264-bin
Description: Video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-148
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libx264-148 (= ${binary:Version}), ${misc:Depends}, pkg-config
Description: Development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.
